Define Workflow per Project
2021-07-08 06:10 - Gayathri Jayakumar

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Project settings Estimated time: 0.00 hour

Target version:

Resolution:

Description
We are using Redmine for our project management with Agile Plugin.

| am unable to define workflows for multiple projects. | have created status and the workflow is also defined.
Let's say for Project1 the workflow is "InDiscussion->InDevelopment->InQA->ReadyForDeployment"

| would like to create a workflow for Project2 with workflow "Start->Approve->Done"

Let me know how to achieve this.

Environment:

Redmine version 4.1.1.stable

Ruby version 2.6.5-p114 (2019-10-01) [x86_64-linux]
Rails version 5.2.4.2

Environment production

Database adapter Mysql2

Mailer queue ActivedJob::QueueAdapters::AsyncAdapter
Mailer delivery smtp

SCM:

Subversion 1.7.14

Git 1.8.3.1

Filesystem

Redmine plugins:

redmine_agile 1.5.4

History

#1 - 2021-07-08 13:47 - Bernhard Rohloff

- Status changed from New to Closed

In Redmine the central part which defines the workflow of an issue is the tracker. It's the same for every project. If you want a different workflow you
will have to create another tracker for that. It's very likely that if you have different workflows in different projects, your kind of issue is also a different.
So it makes sense to track different types of work separately.

I'm closing this issue by now, as | think this is more a support request than a feature request and therefore it should be placed in the forums as
described in Submissions.

#2 - 2022-12-13 12:22 - Dimitar (RedmineUP)
Dear Gayathri,
This is Dimitar from the RedmineUP Support Team.

Could you please contact our support team at support@redmineup.com? And our support engineers will help you in relation to your request.

We look forward to hearing from you.

Best Regards,
Dimitar from the RedmineUP Support Team

Gayathri Jayakumar wrote:

We are using Redmine for our project management with Agile Plugin.
| am unable to define workflows for multiple projects. | have created status and the workflow is also defined.

Let's say for Project1 the workflow is "InDiscussion->InDevelopment->InQA->ReadyForDeployment"
I would like to create a workflow for Project2 with workflow "Start->Approve->Done"
Let me know how to achieve this.

Environment:

Redmine version 4.1.1.stable

Ruby version 2.6.5-p114 (2019-10-01) [x86_64-linux]
Rails version 5.2.4.2

Environment production

Database adapter Mysql2

Mailer queue ActiveJob::QueueAdapters::AsyncAdapter
Mailer delivery smtp

SCM:

Subversion 1.7.14

Git 1.8.3.1

Filesystem

Redmine plugins:

redmine_agile 1.54
